Issue 83102

Summary: scaled bitmaps are displayed extreme bad, OO fails to use filter for scaling bitmaps
Product: General Reporter: norbert2 <norbert.notz>
Component: codeAssignee: AOO issues mailing list <issues>
Status: ACCEPTED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: deschmit, don.troodon, issues, mdxonefour, nesshof, sos, tay, tora3, uwe.luebbers
Version: OOo 2.3   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
demod.zip
none
The same image, scaled by the same amount using a bilinear flter. Result is much better than what OOo does.
none
Now it's *really* scaled by the same amount. Conclusions unaffected.
none
Doc showing the diff between OO, Gimp, Irfanvieuw, Imagemagick none

Description norbert2 2007-10-29 20:06:45 UTC
Hi,

I have attached a ZIP that cotains 4 files:

1. a PNG
2. a presentation containing the PNG
3. two screenshots (also in PNG format): one of OOo, one of MSO

Please compare the two screenshots (demod_oooimp.png and demod_msppt.png). They
are as different as day and night! In OOo I cannot recognize anything while MSO
gives a clear display.

It looks like OOo does not apply filtering for scaling bitmaps.

All OOo applications are affected by this problem.

As electronics engineer I often get documents containing circuit diagrams or 
technical drawing as bitmaps. Many of them cannot be viewed in OOo because of
this problem.
Comment 1 norbert2 2007-10-29 20:08:19 UTC
Created attachment 49253 [details]
demod.zip
Comment 2 thorsten.martens 2007-11-05 12:22:56 UTC
TM->WG: please have a look, seems to be yours.
Comment 3 wolframgarten 2007-11-05 13:32:56 UTC
Changed to defect.
Reproducible. Reassigned.
Comment 4 kpalagin 2008-03-04 17:48:05 UTC
Sven,
are we on track for 3.0 with this issue?

Thanks.
WBR,
KP.
Comment 5 wolframgarten 2008-05-23 15:06:44 UTC
Target changed.
Comment 6 tora3 2008-07-27 06:42:23 UTC
Does the efforts [1] also cover this issue?
[1] http://wiki.services.openoffice.org/wiki/DrawingPrimitives
Comment 7 norbert2 2009-01-19 15:57:47 UTC
Please consider to fix this issue for OOo 3.1. In my opinion this bug should be
fixed together with antialiasing. So OOo 3.1 would be a suitable release to fix
also this nasty display bug.
Comment 8 ooo 2009-01-21 11:16:27 UTC
Although we already use bilinear filtering to scale pixel graphics, there's no
doubt that PPt is quite ahead of OOo in this case. We definitely need to take a
look at this. Due to other tasks with higher priority we're working on at the
moment, I don't think that a bugfix will make it into 3.1, but 3.1.1 seems to be
realistic for me to fix this. Since we don't have such a target right now, I'll
temporarirly set the target to 3.2, so that it doesn't get out of focus. Thanks
for your attachment files. These are a good test case for fxing this problem.
Comment 9 ooo 2009-01-21 11:17:34 UTC
started
Comment 10 norbert2 2009-01-21 12:04:00 UTC
ka, thanks for working on this bug. It looks like you have forgotten to set
Target milestone to OOo 3.2. I have changed it.
Comment 11 kenno 2009-02-10 20:34:52 UTC
The problem is not that the bilinear filter is not adequate, but that Impress
fails to apply it correctly! To illustrate what I mean, I loaded norbert2's
high-resolution original (demod.png) in Gimp and scaled it by a similar amount
as in his screenshots using the bilinear filter. See demod_gimp_bilinear.png in
attachment. While norbert2's demod_msppt.png looks slightly prettier (probably
because of ppt using a more advanced filter), my demod_gimp_bilinear.png is
quite acceptable; it's a day and night difference with norbert2's demod_oooimp.png .

The current behavior of OOo is intolerable to me, while proper bilinear scaling
would be quite satisfactory. I would recommend fixing the bilinear filter ASAP
rather than wasting time on introducing a more advanced one.

As a side note, those more advanced filters have specific weaknesses; while they
generally do a better job in high-contrast images, they often induce artifacts
in low-contrast ones. Bilinear is prefect in its simplicity - it just makes all
images slightly blurry, as if one would apply a Gaussian blur with a 1 pixel radius.
Comment 12 kenno 2009-02-10 20:37:47 UTC
Created attachment 60075 [details]
The same image, scaled by the same amount using a bilinear flter. Result is much better than what OOo does.
Comment 13 kenno 2009-02-10 20:49:37 UTC
Created attachment 60076 [details]
Now it's *really* scaled by the same amount. Conclusions unaffected.
Comment 14 ooo 2009-11-09 09:07:18 UTC
Set issue type to enhancement (from a user POV) and retargeted to OOo 3.3 due to
resource contraints
Comment 15 Armin Le Grand 2010-03-31 10:33:16 UTC
*** Issue 110337 has been marked as a duplicate of this issue. ***
Comment 16 sos 2010-03-31 14:43:54 UTC
Created attachment 68670 [details]
Doc showing the diff between OO, Gimp, Irfanvieuw, Imagemagick
Comment 17 norbert2 2010-05-21 10:05:28 UTC
Are there news about the progress of this issue? Will it be fixed in 3.3? (It
already has been re-targeted.)
Comment 18 ooo 2010-05-21 11:58:56 UTC
No progress till now due to 3.2.1 release workload, but target hasn't change, so...
Comment 19 ooo 2010-06-11 10:44:38 UTC
changed to defect
Comment 20 thorsten.ziehm 2010-11-09 08:33:19 UTC
OOo 3.3 is nearly final. I change the target of this issue to OOo 3.x. Please
find a solution and set a correct target, if you know when a fix can be integrated.
Comment 21 ooo 2010-11-15 13:21:30 UTC
set target to 3.4
Comment 22 deschmit 2014-11-19 22:21:01 UTC
Should this get a new target version?
Comment 23 Marcus 2017-05-20 10:44:18 UTC
Reset the assignee to the default "issues@openoffice.apache.org".